/** entity type */
export declare const entity = "module";
export declare const entities: string;
export declare const usage: {
    import: {
        strict: string;
        command: string;
        title: string;
        header: string;
        example: string;
        required: {
            name: string;
            docs: string;
            entity: string;
            file: boolean;
        }[];
        optional: ({
            name: string;
            docs: string;
            alias?: undefined;
            boolean?: undefined;
        } | {
            name: string;
            alias: string;
            docs: string;
            boolean?: undefined;
        } | {
            name: string;
            alias: string;
            boolean: boolean;
            docs: string;
        })[];
        parents: string[];
    };
    get: {
        strict: string;
        command: string;
        commandPrefix: string;
        breadcrumb: any;
        title: any;
        header: string;
        example: string;
        required: any;
        optional: any;
        parents: string[];
        related: any;
    };
    imports: {
        strict: string;
        command: string;
        commandPrefix: string;
        breadcrumb: any;
        title: any;
        header: string;
        example: string;
        required: any;
        optional: any;
        parents: string[];
        related: any;
    };
    deps: {
        strict: string;
        command: string;
        commandPrefix: string;
        breadcrumb: any;
        title: any;
        header: string;
        example: string;
        required: any;
        optional: any;
        parents: string[];
        related: any;
    };
    config: {
        strict: string;
        command: string;
        title: string;
        header: string;
        example: string;
        required: {
            name: string;
            docs: string;
            entity: string;
            implicitOK: string[];
        }[];
        optional: {
            name: string;
            hidden: boolean;
            boolean: boolean;
            docs: string;
        }[];
        parents: string[];
    };
    deploy: {
        strict: string;
        command: string;
        title: string;
        header: string;
        example: string;
        required: {
            name: string;
            docs: string;
            entity: string;
            implicitOK: string[];
        }[];
        parents: string[];
    };
    undeploy: {
        strict: string;
        command: string;
        title: string;
        header: string;
        example: string;
        required: {
            name: string;
            docs: string;
            entity: string;
            implicitOK: string[];
        }[];
        parents: string[];
    };
    list: (syn: any) => {
        strict: string;
        command: string;
        commandPrefix: string;
        breadcrumb: any;
        title: any;
        header: string;
        example: string;
        required: any;
        optional: any;
        parents: string[];
        related: any;
    };
    init: {
        strict: string;
        command: string;
        commandPrefix: string;
        breadcrumb: any;
        title: any;
        header: string;
        example: string;
        required: any;
        optional: any;
        parents: string[];
        related: any;
    };
    set: {
        strict: string;
        command: string;
        commandPrefix: string;
        breadcrumb: any;
        title: any;
        header: string;
        example: string;
        required: any;
        optional: any;
        parents: string[];
        related: any;
    };
    unset: {
        strict: string;
        command: string;
        commandPrefix: string;
        breadcrumb: any;
        title: any;
        header: string;
        example: string;
        required: any;
        optional: any;
        parents: string[];
        related: any;
    };
    delete: {
        strict: string;
        command: string;
        commandPrefix: string;
        breadcrumb: any;
        title: any;
        header: string;
        example: string;
        required: any;
        optional: any;
        parents: string[];
        related: any;
    };
    status: (syn: any) => {
        strict: string;
        command: string;
        commandPrefix: string;
        breadcrumb: any;
        title: any;
        header: string;
        example: string;
        required: any;
        optional: any;
        parents: string[];
        related: any;
    };
    watch: {
        strict: string;
        command: string;
        commandPrefix: string;
        breadcrumb: any;
        title: any;
        header: string;
        example: string;
        required: any;
        optional: any;
        parents: string[];
        related: any;
    };
};
export declare const toplevel: {
    strict: string;
    command: string;
    commandPrefix: string;
    title: string;
    header: string;
    example: string;
    nRowsInViewport: number;
    available: any[];
};
